SuperColumns (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.db

## Class SuperColumns

- java.lang.Object
- - org.apache.cassandra.db.SuperColumns

-     public class SuperColumns
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SuperColumns()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `deserializerSuperColumnFamily(java.io.DataInput in, ColumnFamily cf, ColumnSerializer.Flag flag, int version)`
    `static Composite` | `endOf(java.nio.ByteBuffer scName)`
    `static IDiskAtomFilter` | `fromSCFilter(CellNameType type, java.nio.ByteBuffer scName, IDiskAtomFilter filter)`
    `static IDiskAtomFilter` | `fromSCNamesFilter(CellNameType type, java.nio.ByteBuffer scName, NamesQueryFilter filter)`
    `static SliceQueryFilter` | `fromSCSliceFilter(CellNameType type, java.nio.ByteBuffer scName, SliceQueryFilter filter)`
    `static AbstractType<?>` | `getComparatorFor(CFMetaData metadata, boolean subColumn)`
    `static AbstractType<?>` | `getComparatorFor(CFMetaData metadata, java.nio.ByteBuffer superColumn)`
    `static java.util.Iterator<OnDiskAtom>` | `onDiskIterator(java.io.DataInput in, int superColumnCount, ColumnSerializer.Flag flag, int expireBefore, CellNameType type)`
    `static java.nio.ByteBuffer` | `scName(Composite columnName)`
    `static CellNameType` | `scNameType(CellNameType type)`
    `static Composite` | `startOf(java.nio.ByteBuffer scName)`
    `static java.nio.ByteBuffer` | `subName(Composite columnName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SuperColumns

          public SuperColumns()

  - ### Method Detail

    - #### onDiskIterator

          public static java.util.Iterator<OnDiskAtom> onDiskIterator(java.io.DataInput in,
                                                                      int superColumnCount,
                                                                      ColumnSerializer.Flag flag,
                                                                      int expireBefore,
                                                                      CellNameType type)

    - #### deserializerSuperColumnFamily

          public static void deserializerSuperColumnFamily(java.io.DataInput in,
                                                           ColumnFamily cf,
                                                           ColumnSerializer.Flag flag,
                                                           int version)
                                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### scNameType

          public static CellNameType scNameType(CellNameType type)

    - #### getComparatorFor

          public static AbstractType<?> getComparatorFor(CFMetaData metadata,
                                                         java.nio.ByteBuffer superColumn)

    - #### getComparatorFor

          public static AbstractType<?> getComparatorFor(CFMetaData metadata,
                                                         boolean subColumn)

    - #### scName

          public static java.nio.ByteBuffer scName(Composite columnName)

    - #### subName

          public static java.nio.ByteBuffer subName(Composite columnName)

    - #### startOf

          public static Composite startOf(java.nio.ByteBuffer scName)

    - #### endOf

          public static Composite endOf(java.nio.ByteBuffer scName)

    - #### fromSCFilter

          public static IDiskAtomFilter fromSCFilter(CellNameType type,
                                                     java.nio.ByteBuffer scName,
                                                     IDiskAtomFilter filter)

    - #### fromSCNamesFilter

          public static IDiskAtomFilter fromSCNamesFilter(CellNameType type,
                                                          java.nio.ByteBuffer scName,
                                                          NamesQueryFilter filter)

    - #### fromSCSliceFilter

          public static SliceQueryFilter fromSCSliceFilter(CellNameType type,
                                                           java.nio.ByteBuffer scName,
                                                           SliceQueryFilter filter)

Copyright © 2018 The Apache Software Foundation